<template>
  <svg
    class="svg-icon"
    :width="width"
    :height="height"
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 24 24"
  >
    <g :fill="iconColor">
      <component :is="iconType" />
    </g>
  </svg>
</template>

<script>
import icons from './icons'
export default {
  name: 'SvgIcon',
  components: {
    ...icons
  },
  props: {
    iconType: {
      type: String,
      default: () => null
    },
    iconColor: {
      type: String,
      default: 'currentColor'
    },
    width: {
      type: [Number, String],
      default: 24
    },
    height: {
      type: [Number, String],
      default: 24
    }
  },
  computed: {
    iconStyle() {
      const { width, height } = this
      return {
        width: `${width}px`,
        height: `${height}px`
      }
    }
  }
}
</script>

<style scoped></style>
